<?php 
	$if_aprovado = $model_aprovacao->find("ATP_ATA = {$model->ATA_IDATA} AND ATP_FUNCIONARIO = ".User::getId());
	if(isset($if_aprovado)){
		if($if_aprovado->ATP_SITUACAO == 1){
			$aprovado = true;
		}
		else{
			$aprovado = false;
		}
	}
	else{
		$aprovado = false;
	}
?>
<br>
<br>
<?php if($aprovado){ ?>
	<a href="<?php echo Yii::app()->createUrl('atas/aprovacao', array('id'=>$model->ATA_IDATA)); ?>" class="btn btn-success" id="btn-aprovacao" data-aprovado="true">
	    <i class="fa fa-thumbs-o-up"></i>
	    <font>Aprovado</font>
	</a>
<?php } else{ ?>
	<a href="<?php echo Yii::app()->createUrl('atas/aprovacao', array('id'=>$model->ATA_IDATA)); ?>" class="btn btn-primary" id="btn-aprovacao" data-aprovado="false">
	    <i class="fa fa-thumbs-o-up"></i>
	    <font>Aprovar</font>
	</a>
	
<?php } ?>
<?php
	$aprovacoes = $model_aprovacao->findAll("ATP_ATA = {$model->ATA_IDATA} AND ATP_SITUACAO = 1");
	if($aprovacoes){
		echo "Aprovado por: ";
		foreach ($aprovacoes as $key => $value) {
			echo $value->Funcionario;
			if($key != (count($aprovacoes)-1)){
				echo ", ";
			}
		}
	}
	else{
		echo "Ninguém aprovou essa ata.";
	}
?>

<script type="text/javascript">
	jQuery(document).ready(function($) {
		$(document).on('mouseover', '#btn-aprovacao', function(event) {
			var situacao = $(this).data('aprovado');
			var icone = $(this).children('i');
			var texto = $(this).children('font');
			if(situacao == true){
				$(this).removeClass('btn-success').addClass('btn-danger');
				icone.removeClass('fa-thumbs-o-up').addClass('fa-minus-circle');
				texto.html('Retirar');
			}
		});
		$(document).on('mouseout', '#btn-aprovacao', function(event) {
			var situacao = $(this).data('aprovado');
			var icone = $(this).children('i');
			var texto = $(this).children('font');
			if(situacao == true){
				$(this).removeClass('btn-danger').addClass('btn-success');
				icone.removeClass('fa-minus-circle').addClass('fa-thumbs-o-up');
				texto.html('Aprovado');
			}
		});
	});
</script>
<style type="text/css">
	#btn-aprovacao {
		min-width: 7em;
	}
</style>